Join Now!

Key Membership Benefits

Hypercom/Optimum terminal not working?

Hypercom/Optimum terminalPlease note: If you have a Hypercom/Optimum M4100, M4230, M4240, T4205, T4210, T4220, T4230, or T4260 - A software certificate contained in many of these terminals expired on October 19, 2015. DO NOT REBOOT or POWER DOWN your device. If you receive an error message, you will most likely need to replace your terminal. Contact Carly at (800) 442-3589 for more information.